<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (C) 2012-2018  Stephan Kreutzer

This file is part of Free Scriptures.

Free Scriptures is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3 or any later version,
as published by the Free Software Foundation.

Free Scriptures is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License 3 for more details.

You should have received a copy of the GNU Affero General Public License 3
along with Free Scriptures. If not, see <http://www.gnu.org/licenses/>.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="UTF-8"/>s

  <xsl:template match="XMLBIBLE">
    <xsl:text>\documentclass[twoside]{article}&#xA;</xsl:text>
    <xsl:text>% This file was generated by haggai2xelatex3.xsl, which is free software licensed under the GNU Affero General Public License 3 or any later version (see https://gitlab.com/free-scriptures/free-scriptures/ and http://www.free-scriptures.org).&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>% Without bleed.&#xA;</xsl:text>
    <xsl:text>\usepackage[driver=xetex,papersize={148mm, 210mm},layout=a5paper,left=2.5cm,right=1.1cm,top=0.825cm,bottom=0.25cm,footskip=0.65cm,includeheadfoot]{geometry}&#xA;</xsl:text>
    <xsl:text>% With bleed.&#xA;</xsl:text>
    <xsl:text>%\usepackage[driver=xetex,papersize={154mm, 216mm},layout=a5paper,layouthoffset=3mm,layoutvoffset=3mm,left=2.5cm,right=1.1cm,top=0.825cm,bottom=0.25cm,footskip=0.65cm,includeheadfoot]{geometry}&#xA;</xsl:text>
    <xsl:text>\usepackage{xunicode}&#xA;</xsl:text>
    <xsl:text>\usepackage{xltxtra}&#xA;</xsl:text>
    <xsl:text>\usepackage{ngerman}&#xA;</xsl:text>
    <xsl:text>\usepackage{fancyhdr}&#xA;</xsl:text>
    <xsl:text>\usepackage[perpage,multiple]{footmisc}&#xA;</xsl:text>
    <xsl:text>\usepackage{alphalph}&#xA;</xsl:text>
    <xsl:text>\usepackage{ulem}&#xA;</xsl:text>
    <xsl:text>\usepackage{color}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\setlength{\parskip}{0pt}&#xA;</xsl:text>
    <!--xsl:text>\interfootnotelinepenalty=0&#xA;</xsl:text-->
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\setmainfont{Linux Libertine O}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <!-- fancyhdr -->
    <xsl:text>\pagestyle{fancy}&#xA;</xsl:text>
    <xsl:text>\fancyhead{}&#xA;</xsl:text>
    <xsl:text>\fancyhead[LE]{\leftmark}&#xA;</xsl:text>
    <xsl:text>\fancyhead[RO]{\rightmark}&#xA;</xsl:text>
    <xsl:text>\setlength{\headsep}{4.6pt}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\renewcommand{\thefootnote}{\alphalph{\value{footnote}}}&#xA;</xsl:text>
    <xsl:text>
\makeatletter
  \renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width \textwidth
  \kern2.6\p@}
  \renewcommand\@makefntext[1]{\parindent 1.25em\noindent \hb@xt@ 2.3em{\hss \raisebox{-0.21em}{\scalebox{1.18}{\@makefnmark}}\,\,}#1}
\makeatother
&#xA;</xsl:text>
    <xsl:text>\definecolor{gray}{cmyk}{0,0,0,0.80}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\begin{document}&#xA;</xsl:text>
    <xsl:text>
  \thispagestyle{empty}
  \begingroup%
    \vspace*{\baselineskip}
    \vfill
    \hbox{%
      \vbox{%
        \vspace{0.1\textheight}
        {\noindent\Huge\bfseries\centering </xsl:text>
        <xsl:choose>
          <xsl:when test="/XMLBIBLE/INFORMATION/title">
            <xsl:value-of select="/XMLBIBLE/INFORMATION/title"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="/XMLBIBLE/@biblename"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>\par}\vspace*{5\baselineskip}</xsl:text>
        <xsl:if test="/XMLBIBLE/INFORMATION/publisher">
          <xsl:text>        {\Large\centering </xsl:text>
          <xsl:value-of select="/XMLBIBLE/INFORMATION/publisher"/>
          <xsl:text>\par}</xsl:text>
        </xsl:if><xsl:text>
      }%
    }%
    \vfill
    \null
  \endgroup%
  \pagebreak{}
  \newpage{}
  \thispagestyle{empty}
  \noindent{}</xsl:text>
  <xsl:choose>
    <xsl:when test="/XMLBIBLE/INFORMATION/rights">
      <xsl:value-of select="/XMLBIBLE/INFORMATION/rights"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:text>  \mbox{}</xsl:text>
    </xsl:otherwise>
  </xsl:choose><xsl:text>
  \pagebreak{}
    </xsl:text>
    <xsl:apply-templates select="BIBLEBOOK"/>
    <xsl:text>\end{document}&#xA;</xsl:text>
  </xsl:template>

  <xsl:template match="BIBLEBOOK">
    <xsl:text>\begin{center}&#xA;</xsl:text>
    <xsl:text>\LARGE \textbf{</xsl:text>
    <xsl:choose>
      <xsl:when test="./CAPTION">
        <xsl:value-of select="./CAPTION"/>
      </xsl:when>
      <xsl:when test="./@bname">
        <xsl:value-of select="./@bname"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="./@bnumber"/>
        <xsl:text>. Buch</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>}&#xA;</xsl:text>
    <xsl:text>\end{center}&#xA;</xsl:text>
    <xsl:text>\vspace*{\baselineskip}&#xA;</xsl:text>
    <xsl:apply-templates select="CHAPTER"/>
    <xsl:text>\pagebreak{}&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="CHAPTER">
    <xsl:text>\begin{center}&#xA;</xsl:text>
    <xsl:text>\textbf{\large Kapitel </xsl:text>
    <xsl:value-of select="./@cnumber"/>
    <xsl:text>}&#xA;</xsl:text>
    <xsl:text>\end{center}&#xA;</xsl:text>
    <xsl:apply-templates select="VERSE | PARAGRAPH"/>
    <xsl:text>\vspace*{\baselineskip}&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="PARAGRAPH">
    <xsl:apply-templates select="VERSE"/>
    <!-- Default TeX paragraph. -->
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="VERSE">
    <xsl:choose>
      <xsl:when test="../PARAGRAPH">
        <xsl:text>\markboth{</xsl:text>
        <xsl:choose>
          <xsl:when test="./../../../@bname or ./../../../@bsname">
            <xsl:choose>
              <xsl:when test="./../../../@bname">
                <xsl:value-of select="./../../../@bname"/>
              </xsl:when>
              <xsl:when test="./../../../@bsname">
                <xsl:value-of select="./../../../@bsname"/>
              </xsl:when>
            </xsl:choose>
            <xsl:text> </xsl:text>
            <xsl:value-of select="./../../@cnumber"/>
            <xsl:text>,</xsl:text>
            <xsl:value-of select="./@vnumber"/>
            <xsl:text>}{</xsl:text>
            <xsl:choose>
              <xsl:when test="./../../../@bname">
                <xsl:value-of select="./../../../@bname"/>
              </xsl:when>
              <xsl:when test="./../../../@bsname">
                <xsl:value-of select="./../../../@bsname"/>
              </xsl:when>
            </xsl:choose>
            <xsl:text> </xsl:text>
            <xsl:value-of select="./../../@cnumber"/>
            <xsl:text>,</xsl:text>
            <xsl:value-of select="./@vnumber"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>Kapitel </xsl:text>
            <xsl:value-of select="./../../@cnumber"/>
            <xsl:text>,</xsl:text>
            <xsl:value-of select="./@vnumber"/>
            <xsl:text>}{</xsl:text>
            <xsl:text>Kapitel </xsl:text>
            <xsl:value-of select="./../../@cnumber"/>
            <xsl:text>,</xsl:text>
            <xsl:value-of select="./@vnumber"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>}&#xA;</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>\markboth{</xsl:text>
        <xsl:choose>
          <xsl:when test="./../../@bname or ./../../@bsname">
            <xsl:choose>
              <xsl:when test="./../../@bname">
                <xsl:value-of select="./../../@bname"/>
              </xsl:when>
              <xsl:when test="./../../@bsname">
                <xsl:value-of select="./../../@bsname"/>
              </xsl:when>
            </xsl:choose>
            <xsl:text> </xsl:text>
            <xsl:value-of select="./../@cnumber"/>
            <xsl:text>,</xsl:text>
            <xsl:value-of select="./@vnumber"/>
            <xsl:text>}{</xsl:text>
            <xsl:choose>
              <xsl:when test="./../../@bname">
                <xsl:value-of select="./../../@bname"/>
              </xsl:when>
              <xsl:when test="./../../@bsname">
                <xsl:value-of select="./../../@bsname"/>
              </xsl:when>
            </xsl:choose>
            <xsl:text> </xsl:text>
            <xsl:value-of select="./../@cnumber"/>
            <xsl:text>,</xsl:text>
            <xsl:value-of select="./@vnumber"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:text>Kapitel </xsl:text>
            <xsl:value-of select="./../@cnumber"/>
            <xsl:text>,</xsl:text>
            <xsl:value-of select="./@vnumber"/>
            <xsl:text>}{</xsl:text>
            <xsl:text>Kapitel </xsl:text>
            <xsl:value-of select="./../@cnumber"/>
            <xsl:text>,</xsl:text>
            <xsl:value-of select="./@vnumber"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>}&#xA;</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>\raisebox{0.2em}{\scalebox{0.8}{</xsl:text>
    <xsl:value-of select="./@vnumber"/>
    <xsl:text>}}</xsl:text>
    <xsl:apply-templates/>
    <!-- Verses of the "Offene Bibel" already contain a linebreak, so don't double them and accidentally create a LaTeX paragraph. -->
    <!--xsl:text>&#xA;</xsl:text-->
  </xsl:template>

  <xsl:template match="VERSE//text()">
    <xsl:value-of select="."/>
  </xsl:template>
  <xsl:template match="NOTE">
    <xsl:text>\footnote{</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>}</xsl:text>
  </xsl:template>

  <xsl:template match="STYLE">
    <xsl:choose>
      <xsl:when test="@fs='super'">
        <xsl:text>\textsuperscript{</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>}</xsl:text>
      </xsl:when>
      <xsl:when test="@fs='emphasis'">
        <xsl:text>\textbf{</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>}</xsl:text>
      </xsl:when>
      <xsl:when test="@fs='italic'">
        <xsl:text>\textit{</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>}</xsl:text>
      </xsl:when>
      <xsl:when test="@class='alternative'">
        <xsl:text>{\scriptsize\textcolor{gray}{</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>}}</xsl:text>
      </xsl:when>
      <xsl:when test="@class='deleted'">
        <xsl:text>{\scriptsize\sout{\textcolor{gray}{</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>}}}</xsl:text>
      </xsl:when>
      <xsl:when test="@class='line-through'">
        <xsl:text>\sout{</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>}</xsl:text>
      </xsl:when>
      <xsl:when test="@class='underline'">
        <xsl:text>\textbf{</xsl:text>
        <xsl:apply-templates/>
        <xsl:text>}</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="NOTE//text()">
    <xsl:value-of select="."/>
  </xsl:template>

</xsl:stylesheet>
